package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.UserGroupRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户组角色(UserGroupRole)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-28 17:09:50
 */
@Mapper
public interface UserGroupRoleMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserGroupRole selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<UserGroupRole> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param userGroupRole 实例对象
     * @return 对象列表
     */
    List<UserGroupRole> selectList(UserGroupRole userGroupRole);

    /**
     * 新增数据
     *
     * @param userGroupRole 实例对象
     * @return 影响行数
     */
    int insert(UserGroupRole userGroupRole);

    /**
     * 批量新增
     *
     * @param userGroupRoles 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("userGroupRoles") List<UserGroupRole> userGroupRoles);

    /**
     * 修改数据
     *
     * @param userGroupRole 实例对象
     * @return 影响行数
     */
    int update(UserGroupRole userGroupRole);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<UserGroupRole> selectPage(IPage<UserGroupRole> page, UserGroupRole userGroupRole);

}